$(document).ready(function(){
	/*判断当前url路径，确立头部菜单样式开始*/
	var url = window.location.pathname.toLowerCase();
	var urlArr = url.split('/');
	//$('#mainNav li').removeClass('selected');
	var ids = new Array('products','partner','news','host','help','company');
	if(in_array(urlArr[1],ids)){
		if(urlArr[2] == 'contact.html'){
			$("#mainNav li[id='contact']").addClass('selected');
		}else{
			$("#mainNav li[id='"+urlArr[1]+"']").addClass('selected');
		}
	}else{
		$("#mainNav li[id='home']").addClass('homeon');
	}
	/*判断当前url路径，确立头部菜单样式结束*/

	$('#mainNav li').hover( //头部菜单下拉效果
		function () {
			if($(this).attr('id') != 'home'){
				if($(this).attr('class') != 'selected' && $(this).attr('class') != 'end selected'){
					$(this).addClass('hover');
				}
			}
			$(this).find('div').show();
		},
		function () {
			if($(this).attr('id') != 'home'){
				if($(this).attr('class') != 'selected' && $(this).attr('class') != 'end selected'){
					$(this).removeClass('hover');
				}
			}
			$(this).find('div').hide();
		}
	);

	function in_array(needle, haystack) { //Js模拟Php中的In_Array
		if(typeof needle == 'string' || typeof needle == 'number') {
			for(var i in haystack) {
				if(haystack[i] == needle) {
					return true;
				}
			}
		}
		return false;
	}
	
	/*首页幻灯片开始*/
	var sWidth = $('#focus').width(); //获取焦点图的宽度（显示面积）
	var len = $('#focus ul li').length; //获取焦点图个数
	var index = 0;
	var picTimer;

	//以下代码添加数字按钮和按钮后的半透明条，还有上一页、下一页两个按钮
	var btn = '<div class="btnBg"></div><div class="btn">';
	$('#focus ul li').each(function(){
		var href = $(this).find('a').attr('href');
		var text = $(this).find('img').attr('alt');
		btn += '<span><a href="'+href+'" target="_blank" title="'+text+'">'+text+'</a></span>';
	})
	btn += '</div><div class="preNext pre"></div><div class="preNext next"></div>';
	$('#focus').append(btn);

	//为小按钮添加鼠标滑入事件，以显示相应的内容
	$('#focus .btn span').mouseenter(function() {
		index = $('#focus .btn span').index(this);
		showPics(index);
	}).eq(0).trigger('mouseenter');

	//上一页、下一页按钮透明度处理
	$('#focus .preNext').css('opacity',0.2).hover(function() {
		$(this).stop(true,false).animate({'opacity':'0.5'},300);
	},function() {
		$(this).stop(true,false).animate({'opacity':'0.2'},300);
	});

	//上一页按钮
	$('#focus .pre').click(function() {
		index -= 1;
		if(index == -1) {index = len - 1;}
		showPics(index);
	});

	//下一页按钮
	$('#focus .next').click(function() {
		index += 1;
		if(index == len) {index = 0;}
		showPics(index);
	});

	//本例为左右滚动，即所有li元素都是在同一排向左浮动，所以这里需要计算出外围ul元素的宽度
	$('#focus ul').css('width',sWidth * (len));

	//鼠标滑上焦点图时停止自动播放，滑出时开始自动播放
	$('#focus').hover(function() {
		clearInterval(picTimer);
	},function() {
		picTimer = setInterval(function() {
			showPics(index);
			index++;
			if(index == len) {index = 0;}
		},4000); //此4000代表自动播放的间隔，单位：毫秒
	}).trigger('mouseleave');

	//显示图片函数，根据接收的index值显示相应的内容
	function showPics(index) { //普通切换
		var nowLeft = -index*sWidth; //根据index值计算ul元素的left值
		$('#focus ul').stop(true,false).animate({'left':nowLeft},300); //通过animate()调整ul元素滚动到计算出的position
		$('#focus .btn span').removeClass('on').eq(index).addClass('on'); //为当前的按钮切换到选中的效果
	}
	/*首页幻灯片结束*/
	
	/***收藏本站的代码***/
	function AddFavorite(title, url) {
		try {
			window.external.addFavorite(url, title);
		}
		catch (e) {
			try {
				window.sidebar.addPanel(title, url, "");
			}
			catch (e) {
				alert("抱歉，您所使用的浏览器无法完成此操作。\n\n加入收藏失败，请使用Ctrl+D进行添加");
			}
		}
	}
	/***收藏本站的代码***/

	$(document).ready(function(){
		$('#addBookmark').click(function(){
			AddFavorite('智有道专业旅游系统官方', 'http://tour2.10422.my5m.com/');
		});
	});
});